NativeExecutableBinarySpec (Gradle API 2.14.1)

Package: org.gradle.nativeplatform

## [Java] Interface NativeExecutableBinarySpec

- org.gradle.nativeplatform.NativeExecutableBinarySpec

- All Superinterfaces:
    BinarySpec, ApplicationBinarySpec, ModelElement, NativeBinarySpec, ComponentSpec, Named, Buildable, BuildableComponentSpec

  An binary built by Gradle for a native application.

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `interface` | `NativeExecutableBinarySpec.TasksCollection` | Provides access to key tasks used for building the binary.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `NativeExecutableSpec` | `getApplication()` {@inheritDoc}
    `NativeExecutableSpec` | `getComponent()` {@inheritDoc}
    `NativeExecutableFileSpec` | `getExecutable()` Native Executable File.
    `NativeInstallationSpec` | `getInstallation()` Native Installation location for a native executable.
    `NativeExecutableBinarySpec.TasksCollection` | `getTasks()` {@inheritDoc}

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ApplicationBinarySpec` | `getApplication`
    `interface NativeBinarySpec` | `getAssembler, getBuildType, getComponent, getCppCompiler, getFlavor, getLibs, getLinker, getObjcCompiler, getObjcppCompiler, getRcCompiler, getStaticLibArchiver, getTargetPlatform, getToolChain, getcCompiler, lib`

- - ### Method Detail

    - #### @Override public NativeExecutableSpec getApplication()

      {@inheritDoc}

    - #### @Override public NativeExecutableSpec getComponent()

      {@inheritDoc}

    - #### public NativeExecutableFileSpec getExecutable()

      Native Executable File.

    - #### public NativeInstallationSpec getInstallation()

      Native Installation location for a native executable.

    - #### @Override public NativeExecutableBinarySpec.TasksCollection getTasks()

      {@inheritDoc}